Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class FIBAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.FIBAbstractType

All Implemented Interfaces:
  org.apache.poi.hdf.model.hdftypes.HDFType

Direct Known Subclasses:
  FileInformationBlock

    public abstract class FIBAbstractType

extends java.lang.Object
implements org.apache.poi.hdf.model.hdftypes.HDFType

Base part of the File information Block (FibBase). Holds the core part of the FIB, from the first 32 bytes. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Andrew C. Oliver

Field Summary
`protected int` | `field_1_wIdent`
`protected short` | `field_10_history`
`protected int` | `field_11_chs`
`protected int` | `field_12_chsTables` Latest docs say this is Reserved3!
`protected int` | `field_13_fcMin` Latest docs say this is Reserved4!
`protected int` | `field_14_fcMac` Latest docs say this is Reserved5!
`protected int` | `field_2_nFib`
`protected int` | `field_3_nProduct`
`protected int` | `field_4_lid`
`protected int` | `field_5_pnNext`
`protected short` | `field_6_options`
`protected int` | `field_7_nFibBack`
`protected int` | `field_8_lKey`
`protected int` | `field_9_envr`

Constructor Summary
`FIBAbstractType()` Latest docs say this is Reserved6!

Method Summary
`protected void` | `fillFields(byte[] data, int offset)`
`int` | `getChs()` Get the chs field for the FIB record.
`int` | `getChsTables()` Get the chsTables field for the FIB record.
`byte` | `getCQuickSaves()`
`int` | `getEnvr()` Get the envr field for the FIB record.
`int` | `getFcMac()` Get the fcMac field for the FIB record.
`int` | `getFcMin()` Get the fcMin field for the FIB record.
`byte` | `getFSpare0()`
`short` | `getHistory()` Get the history field for the FIB record.
`int` | `getLid()` Get the lid field for the FIB record.
`int` | `getLKey()` Get the lKey field for the FIB record.
`int` | `getNFib()` Get the nFib field for the FIB record.
`int` | `getNFibBack()` Get the nFibBack field for the FIB record.
`int` | `getNProduct()` Get the nProduct field for the FIB record.
`short` | `getOptions()` Get the options field for the FIB record.
`int` | `getPnNext()` Get the pnNext field for the FIB record.
`int` | `getSize()` Size of record (exluding 4 byte header)
`int` | `getWIdent()` Get the wIdent field for the FIB record.
`boolean` | `isFComplex()`
`boolean` | `isFCrypto()`
`boolean` | `isFDot()`
`boolean` | `isFEmptySpecial()`
`boolean` | `isFEncrypted()`
`boolean` | `isFExtChar()`
`boolean` | `isFFarEast()`
`boolean` | `isFFutureSavedUndo()`
`boolean` | `isFGlsy()`
`boolean` | `isFHasPic()`
`boolean` | `isFLoadOverride()`
`boolean` | `isFLoadOverridePage()`
`boolean` | `isFMac()`
`boolean` | `isFReadOnlyRecommended()`
`boolean` | `isFWhichTblStm()`
`boolean` | `isFWord97Saved()`
`boolean` | `isFWriteReservation()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setChs(int field_11_chs)` Set the chs field for the FIB record.
`void` | `setChsTables(int field_12_chsTables)` Set the chsTables field for the FIB record.
`void` | `setCQuickSaves(byte value)` Sets the cQuickSaves field value.
`void` | `setEnvr(int field_9_envr)` Set the envr field for the FIB record.
`void` | `setFcMac(int field_14_fcMac)` Set the fcMac field for the FIB record.
`void` | `setFcMin(int field_13_fcMin)` Set the fcMin field for the FIB record.
`void` | `setFComplex(boolean value)` Sets the fComplex field value.
`void` | `setFCrypto(boolean value)` Sets the fCrypto field value.
`void` | `setFDot(boolean value)` Sets the fDot field value.
`void` | `setFEmptySpecial(boolean value)` Sets the fEmptySpecial field value.
`void` | `setFEncrypted(boolean value)` Sets the fEncrypted field value.
`void` | `setFExtChar(boolean value)` Sets the fExtChar field value.
`void` | `setFFarEast(boolean value)` Sets the fFarEast field value.
`void` | `setFFutureSavedUndo(boolean value)` Sets the fFutureSavedUndo field value.
`void` | `setFGlsy(boolean value)` Sets the fGlsy field value.
`void` | `setFHasPic(boolean value)` Sets the fHasPic field value.
`void` | `setFLoadOverride(boolean value)` Sets the fLoadOverride field value.
`void` | `setFLoadOverridePage(boolean value)` Sets the fLoadOverridePage field value.
`void` | `setFMac(boolean value)` Sets the fMac field value.
`void` | `setFReadOnlyRecommended(boolean value)` Sets the fReadOnlyRecommended field value.
`void` | `setFSpare0(byte value)` Sets the fSpare0 field value.
`void` | `setFWhichTblStm(boolean value)` Sets the fWhichTblStm field value.
`void` | `setFWord97Saved(boolean value)` Sets the fWord97Saved field value.
`void` | `setFWriteReservation(boolean value)` Sets the fWriteReservation field value.
`void` | `setHistory(short field_10_history)` Set the history field for the FIB record.
`void` | `setLid(int field_4_lid)` Set the lid field for the FIB record.
`void` | `setLKey(int field_8_lKey)` Set the lKey field for the FIB record.
`void` | `setNFib(int field_2_nFib)` Set the nFib field for the FIB record.
`void` | `setNFibBack(int field_7_nFibBack)` Set the nFibBack field for the FIB record.
`void` | `setNProduct(int field_3_nProduct)` Set the nProduct field for the FIB record.
`void` | `setOptions(short field_6_options)` Set the options field for the FIB record.
`void` | `setPnNext(int field_5_pnNext)` Set the pnNext field for the FIB record.
`void` | `setWIdent(int field_1_wIdent)` Set the wIdent field for the FIB record.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_wIdent

    protected int field_1_wIdent

### field_2_nFib

    protected int field_2_nFib

### field_3_nProduct

    protected int field_3_nProduct

### field_4_lid

    protected int field_4_lid

### field_5_pnNext

    protected int field_5_pnNext

### field_6_options

    protected short field_6_options

### field_7_nFibBack

    protected int field_7_nFibBack

### field_8_lKey

    protected int field_8_lKey

### field_9_envr

    protected int field_9_envr

### field_10_history

    protected short field_10_history

### field_11_chs

    protected int field_11_chs

### field_12_chsTables

    protected int field_12_chsTables

  Latest docs say this is Reserved3!

### field_13_fcMin

    protected int field_13_fcMin

  Latest docs say this is Reserved4!

### field_14_fcMac

    protected int field_14_fcMac

  Latest docs say this is Reserved5!

Constructor Detail

### FIBAbstractType

    public FIBAbstractType()

  Latest docs say this is Reserved6!

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSize

    public int getSize()

  Size of record (exluding 4 byte header)

### getWIdent

    public int getWIdent()

  Get the wIdent field for the FIB record.

### setWIdent

    public void setWIdent(int field_1_wIdent)

  Set the wIdent field for the FIB record.

### getNFib

    public int getNFib()

  Get the nFib field for the FIB record.

### setNFib

    public void setNFib(int field_2_nFib)

  Set the nFib field for the FIB record.

### getNProduct

    public int getNProduct()

  Get the nProduct field for the FIB record.

### setNProduct

    public void setNProduct(int field_3_nProduct)

  Set the nProduct field for the FIB record.

### getLid

    public int getLid()

  Get the lid field for the FIB record.

### setLid

    public void setLid(int field_4_lid)

  Set the lid field for the FIB record.

### getPnNext

    public int getPnNext()

  Get the pnNext field for the FIB record.

### setPnNext

    public void setPnNext(int field_5_pnNext)

  Set the pnNext field for the FIB record.

### getOptions

    public short getOptions()

  Get the options field for the FIB record.

### setOptions

    public void setOptions(short field_6_options)

  Set the options field for the FIB record.

### getNFibBack

    public int getNFibBack()

  Get the nFibBack field for the FIB record.

### setNFibBack

    public void setNFibBack(int field_7_nFibBack)

  Set the nFibBack field for the FIB record.

### getLKey

    public int getLKey()

  Get the lKey field for the FIB record.

### setLKey

    public void setLKey(int field_8_lKey)

  Set the lKey field for the FIB record.

### getEnvr

    public int getEnvr()

  Get the envr field for the FIB record.

### setEnvr

    public void setEnvr(int field_9_envr)

  Set the envr field for the FIB record.

### getHistory

    public short getHistory()

  Get the history field for the FIB record.

### setHistory

    public void setHistory(short field_10_history)

  Set the history field for the FIB record.

### getChs

    public int getChs()

  Get the chs field for the FIB record.

### setChs

    public void setChs(int field_11_chs)

  Set the chs field for the FIB record.

### getChsTables

    public int getChsTables()

  Get the chsTables field for the FIB record.

### setChsTables

    public void setChsTables(int field_12_chsTables)

  Set the chsTables field for the FIB record.

### getFcMin

    public int getFcMin()

  Get the fcMin field for the FIB record.

### setFcMin

    public void setFcMin(int field_13_fcMin)

  Set the fcMin field for the FIB record.

### getFcMac

    public int getFcMac()

  Get the fcMac field for the FIB record.

### setFcMac

    public void setFcMac(int field_14_fcMac)

  Set the fcMac field for the FIB record.

### setFDot

    public void setFDot(boolean value)

  Sets the fDot field value.

### isFDot

    public boolean isFDot()

  Returns:
    the fDot field value.

### setFGlsy

    public void setFGlsy(boolean value)

  Sets the fGlsy field value.

### isFGlsy

    public boolean isFGlsy()

  Returns:
    the fGlsy field value.

### setFComplex

    public void setFComplex(boolean value)

  Sets the fComplex field value.

### isFComplex

    public boolean isFComplex()

  Returns:
    the fComplex field value.

### setFHasPic

    public void setFHasPic(boolean value)

  Sets the fHasPic field value.

### isFHasPic

    public boolean isFHasPic()

  Returns:
    the fHasPic field value.

### setCQuickSaves

    public void setCQuickSaves(byte value)

  Sets the cQuickSaves field value.

### getCQuickSaves

    public byte getCQuickSaves()

  Returns:
    the cQuickSaves field value.

### setFEncrypted

    public void setFEncrypted(boolean value)

  Sets the fEncrypted field value.

### isFEncrypted

    public boolean isFEncrypted()

  Returns:
    the fEncrypted field value.

### setFWhichTblStm

    public void setFWhichTblStm(boolean value)

  Sets the fWhichTblStm field value.

### isFWhichTblStm

    public boolean isFWhichTblStm()

  Returns:
    the fWhichTblStm field value.

### setFReadOnlyRecommended

    public void setFReadOnlyRecommended(boolean value)

  Sets the fReadOnlyRecommended field value.

### isFReadOnlyRecommended

    public boolean isFReadOnlyRecommended()

  Returns:
    the fReadOnlyRecommended field value.

### setFWriteReservation

    public void setFWriteReservation(boolean value)

  Sets the fWriteReservation field value.

### isFWriteReservation

    public boolean isFWriteReservation()

  Returns:
    the fWriteReservation field value.

### setFExtChar

    public void setFExtChar(boolean value)

  Sets the fExtChar field value.

### isFExtChar

    public boolean isFExtChar()

  Returns:
    the fExtChar field value.

### setFLoadOverride

    public void setFLoadOverride(boolean value)

  Sets the fLoadOverride field value.

### isFLoadOverride

    public boolean isFLoadOverride()

  Returns:
    the fLoadOverride field value.

### setFFarEast

    public void setFFarEast(boolean value)

  Sets the fFarEast field value.

### isFFarEast

    public boolean isFFarEast()

  Returns:
    the fFarEast field value.

### setFCrypto

    public void setFCrypto(boolean value)

  Sets the fCrypto field value.

### isFCrypto

    public boolean isFCrypto()

  Returns:
    the fCrypto field value.

### setFMac

    public void setFMac(boolean value)

  Sets the fMac field value.

### isFMac

    public boolean isFMac()

  Returns:
    the fMac field value.

### setFEmptySpecial

    public void setFEmptySpecial(boolean value)

  Sets the fEmptySpecial field value.

### isFEmptySpecial

    public boolean isFEmptySpecial()

  Returns:
    the fEmptySpecial field value.

### setFLoadOverridePage

    public void setFLoadOverridePage(boolean value)

  Sets the fLoadOverridePage field value.

### isFLoadOverridePage

    public boolean isFLoadOverridePage()

  Returns:
    the fLoadOverridePage field value.

### setFFutureSavedUndo

    public void setFFutureSavedUndo(boolean value)

  Sets the fFutureSavedUndo field value.

### isFFutureSavedUndo

    public boolean isFFutureSavedUndo()

  Returns:
    the fFutureSavedUndo field value.

### setFWord97Saved

    public void setFWord97Saved(boolean value)

  Sets the fWord97Saved field value.

### isFWord97Saved

    public boolean isFWord97Saved()

  Returns:
    the fWord97Saved field value.

### setFSpare0

    public void setFSpare0(byte value)

  Sets the fSpare0 field value.

### getFSpare0

    public byte getFSpare0()

  Returns:
    the fSpare0 field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.